configure
资源名称:NETVIDEO.rar [点击查看]
上传用户:sun1608
上传日期:2007-02-02
资源大小:6116k
文件大小:420k
源码类别:
流媒体/Mpeg4/MP4
开发平台:
Visual C++
- gethostbyname ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_nsl_gethostbyname=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_nsl_gethostbyname=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_gethostbyname" >&5
- echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
- if test $ac_cv_lib_nsl_gethostbyname = yes; then
- X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl"
- fi
- if test $ac_cv_lib_nsl_gethostbyname = no; then
- echo "$as_me:$LINENO: checking for gethostbyname in -lbsd" >&5
- echo $ECHO_N "checking for gethostbyname in -lbsd... $ECHO_C" >&6
- if test "${ac_cv_lib_bsd_gethostbyname+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lbsd $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char gethostbyname ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- gethostbyname ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_bsd_gethostbyname=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_bsd_gethostbyname=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_bsd_gethostbyname" >&5
- echo "${ECHO_T}$ac_cv_lib_bsd_gethostbyname" >&6
- if test $ac_cv_lib_bsd_gethostbyname = yes; then
- X_EXTRA_LIBS="$X_EXTRA_LIBS -lbsd"
- fi
- fi
- fi
- # lieder@skyler.mavd.honeywell.com says without -lsocket,
- # socket/setsockopt and other routines are undefined under SCO ODT
- # 2.0. But -lsocket is broken on IRIX 5.2 (and is not necessary
- # on later versions), says Simon Leinen: it contains gethostby*
- # variants that don't use the nameserver (or something). -lsocket
- # must be given before -lnsl if both are needed. We assume that
- # if connect needs -lnsl, so does gethostbyname.
- echo "$as_me:$LINENO: checking for connect" >&5
- echo $ECHO_N "checking for connect... $ECHO_C" >&6
- if test "${ac_cv_func_connect+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char connect (); below. */
- #include <assert.h>
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char connect ();
- char (*f) ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_connect) || defined (__stub___connect)
- choke me
- #else
- f = connect;
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_func_connect=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_func_connect=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_func_connect" >&5
- echo "${ECHO_T}$ac_cv_func_connect" >&6
- if test $ac_cv_func_connect = no; then
- echo "$as_me:$LINENO: checking for connect in -lsocket" >&5
- echo $ECHO_N "checking for connect in -lsocket... $ECHO_C" >&6
- if test "${ac_cv_lib_socket_connect+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lsocket $X_EXTRA_LIBS $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char connect ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- connect ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_socket_connect=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_socket_connect=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_socket_connect" >&5
- echo "${ECHO_T}$ac_cv_lib_socket_connect" >&6
- if test $ac_cv_lib_socket_connect = yes; then
- X_EXTRA_LIBS="-lsocket $X_EXTRA_LIBS"
- fi
- fi
- # Guillermo Gomez says -lposix is necessary on A/UX.
- echo "$as_me:$LINENO: checking for remove" >&5
- echo $ECHO_N "checking for remove... $ECHO_C" >&6
- if test "${ac_cv_func_remove+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char remove (); below. */
- #include <assert.h>
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char remove ();
- char (*f) ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_remove) || defined (__stub___remove)
- choke me
- #else
- f = remove;
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_func_remove=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_func_remove=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_func_remove" >&5
- echo "${ECHO_T}$ac_cv_func_remove" >&6
- if test $ac_cv_func_remove = no; then
- echo "$as_me:$LINENO: checking for remove in -lposix" >&5
- echo $ECHO_N "checking for remove in -lposix... $ECHO_C" >&6
- if test "${ac_cv_lib_posix_remove+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lposix $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char remove ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- remove ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_posix_remove=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_posix_remove=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_posix_remove" >&5
- echo "${ECHO_T}$ac_cv_lib_posix_remove" >&6
- if test $ac_cv_lib_posix_remove = yes; then
- X_EXTRA_LIBS="$X_EXTRA_LIBS -lposix"
- fi
- fi
- # BSDI BSD/OS 2.1 needs -lipc for XOpenDisplay.
- echo "$as_me:$LINENO: checking for shmat" >&5
- echo $ECHO_N "checking for shmat... $ECHO_C" >&6
- if test "${ac_cv_func_shmat+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* System header to define __stub macros and hopefully few prototypes,
- which can conflict with char shmat (); below. */
- #include <assert.h>
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char shmat ();
- char (*f) ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_shmat) || defined (__stub___shmat)
- choke me
- #else
- f = shmat;
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_func_shmat=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_func_shmat=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_func_shmat" >&5
- echo "${ECHO_T}$ac_cv_func_shmat" >&6
- if test $ac_cv_func_shmat = no; then
- echo "$as_me:$LINENO: checking for shmat in -lipc" >&5
- echo $ECHO_N "checking for shmat in -lipc... $ECHO_C" >&6
- if test "${ac_cv_lib_ipc_shmat+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lipc $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char shmat ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- shmat ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_ipc_shmat=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_ipc_shmat=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_ipc_shmat" >&5
- echo "${ECHO_T}$ac_cv_lib_ipc_shmat" >&6
- if test $ac_cv_lib_ipc_shmat = yes; then
- X_EXTRA_LIBS="$X_EXTRA_LIBS -lipc"
- fi
- fi
- fi
- # Check for libraries that X11R6 Xt/Xaw programs need.
- ac_save_LDFLAGS=$LDFLAGS
- test -n "$x_libraries" && LDFLAGS="$LDFLAGS -L$x_libraries"
- # SM needs ICE to (dynamically) link under SunOS 4.x (so we have to
- # check for ICE first), but we must link in the order -lSM -lICE or
- # we get undefined symbols. So assume we have SM if we have ICE.
- # These have to be linked with before -lX11, unlike the other
- # libraries we check for below, so use a different variable.
- # John Interrante, Karl Berry
- echo "$as_me:$LINENO: checking for IceConnectionNumber in -lICE" >&5
- echo $ECHO_N "checking for IceConnectionNumber in -lICE... $ECHO_C" >&6
- if test "${ac_cv_lib_ICE_IceConnectionNumber+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lICE $X_EXTRA_LIBS $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char IceConnectionNumber ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- IceConnectionNumber ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_ICE_IceConnectionNumber=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_ICE_IceConnectionNumber=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_ICE_IceConnectionNumber" >&5
- echo "${ECHO_T}$ac_cv_lib_ICE_IceConnectionNumber" >&6
- if test $ac_cv_lib_ICE_IceConnectionNumber = yes; then
- X_PRE_LIBS="$X_PRE_LIBS -lSM -lICE"
- fi
- LDFLAGS=$ac_save_LDFLAGS
- fi
- if test x$have_x = xyes; then
- CFLAGS="$CFLAGS $X_CFLAGS -DENABLE_X11 -Iinclude -Isrc/video"
- if test x$ac_cv_func_shmat != xyes; then
- CFLAGS="$CFLAGS -DNO_SHARED_MEMORY"
- fi
- SYSTEM_LIBS="$SYSTEM_LIBS $X_LIBS -lX11 -lXext"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS x11"
- VIDEO_DRIVERS="$VIDEO_DRIVERS x11/libvideo_x11.la"
- # Check whether --enable-video-x11-vm or --disable-video-x11-vm was given.
- if test "${enable_video_x11_vm+set}" = set; then
- enableval="$enable_video_x11_vm"
- else
- enable_video_x11_vm=yes
- fi;
- if test x$enable_video_x11_vm = xyes; then
- echo "$as_me:$LINENO: checking for XFree86 VidMode 1.0 support" >&5
- echo $ECHO_N "checking for XFree86 VidMode 1.0 support... $ECHO_C" >&6
- video_x11_vm=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Xlib.h>
- #include <XFree86/extensions/xf86vmode.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_x11_vm=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_x11_vm" >&5
- echo "${ECHO_T}$video_x11_vm" >&6
- if test x$video_x11_vm = xyes; then
- CFLAGS="$CFLAGS -DXFREE86_VM"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS XFree86/Xxf86vm"
- VIDEO_DRIVERS="$VIDEO_DRIVERS XFree86/Xxf86vm/libXFree86_Xxf86vm.la"
- echo "$as_me:$LINENO: checking for XFree86 VidMode gamma support" >&5
- echo $ECHO_N "checking for XFree86 VidMode gamma support... $ECHO_C" >&6
- video_x11_vmgamma=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Xlib.h>
- #include <XFree86/extensions/xf86vmode.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- SDL_NAME(XF86VidModeGamma) gamma;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_x11_vmgamma=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_x11_vmgamma" >&5
- echo "${ECHO_T}$video_x11_vmgamma" >&6
- if test x$video_x11_vmgamma = xyes; then
- CFLAGS="$CFLAGS -DXFREE86_VMGAMMA"
- fi
- fi
- fi
- # Check whether --enable-dga or --disable-dga was given.
- if test "${enable_dga+set}" = set; then
- enableval="$enable_dga"
- else
- enable_dga=yes
- fi;
- # Check whether --enable-video-x11-dgamouse or --disable-video-x11-dgamouse was given.
- if test "${enable_video_x11_dgamouse+set}" = set; then
- enableval="$enable_video_x11_dgamouse"
- else
- enable_video_x11_dgamouse=yes
- fi;
- if test x$enable_dga = xyes; then
- echo "$as_me:$LINENO: checking for XFree86 DGA 1.0 support" >&5
- echo $ECHO_N "checking for XFree86 DGA 1.0 support... $ECHO_C" >&6
- video_x11_dga=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Xlib.h>
- #include <XFree86/extensions/xf86dga.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_x11_dga=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_x11_dga" >&5
- echo "${ECHO_T}$video_x11_dga" >&6
- if test x$video_x11_dga = xyes; then
- CFLAGS="$CFLAGS -DXFREE86_DGAMOUSE"
- if test x$enable_video_x11_dgamouse = xyes; then
- CFLAGS="$CFLAGS -DDEFAULT_DGAMOUSE"
- fi
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS XFree86/Xxf86dga"
- VIDEO_DRIVERS="$VIDEO_DRIVERS XFree86/Xxf86dga/libXFree86_Xxf86dga.la"
- fi
- fi
- # Check whether --enable-video-x11-xv or --disable-video-x11-xv was given.
- if test "${enable_video_x11_xv+set}" = set; then
- enableval="$enable_video_x11_xv"
- else
- enable_video_x11_xv=yes
- fi;
- if test x$enable_video_x11_xv = xyes; then
- echo "$as_me:$LINENO: checking for XFree86 XvImage support" >&5
- echo $ECHO_N "checking for XFree86 XvImage support... $ECHO_C" >&6
- video_x11_xv=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Xlib.h>
- #include <sys/ipc.h>
- #include <sys/shm.h>
- #include <X11/extensions/XShm.h>
- #include <XFree86/extensions/Xvlib.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- SDL_NAME(XvImage) *image;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_x11_xv=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_x11_xv" >&5
- echo "${ECHO_T}$video_x11_xv" >&6
- if test x$video_x11_xv = xyes; then
- CFLAGS="$CFLAGS -DXFREE86_XV"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS XFree86/Xv"
- VIDEO_DRIVERS="$VIDEO_DRIVERS XFree86/Xv/libXFree86_Xv.la"
- fi
- fi
- # Check whether --enable-video-x11-xinerama or --disable-video-x11-xinerama was given.
- if test "${enable_video_x11_xinerama+set}" = set; then
- enableval="$enable_video_x11_xinerama"
- else
- enable_video_x11_xinerama=yes
- fi;
- if test x$enable_video_x11_xinerama = xyes; then
- echo "$as_me:$LINENO: checking for X11 Xinerama support" >&5
- echo $ECHO_N "checking for X11 Xinerama support... $ECHO_C" >&6
- video_x11_xinerama=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Xlib.h>
- #include <XFree86/extensions/Xinerama.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- SDL_NAME(XineramaScreenInfo) *xinerama;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_x11_xinerama=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_x11_xinerama" >&5
- echo "${ECHO_T}$video_x11_xinerama" >&6
- if test x$video_x11_xinerama = xyes; then
- CFLAGS="$CFLAGS -DHAVE_XINERAMA"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS XFree86/Xinerama"
- VIDEO_DRIVERS="$VIDEO_DRIVERS XFree86/Xinerama/libXFree86_Xinerama.la"
- fi
- fi
- # Check whether --enable-video-x11-xme or --disable-video-x11-xme was given.
- if test "${enable_video_x11_xme+set}" = set; then
- enableval="$enable_video_x11_xme"
- else
- enable_video_x11_xme=yes
- fi;
- if test x$enable_video_x11_xme = xyes; then
- echo "$as_me:$LINENO: checking for Xi Graphics XiGMiscExtension support" >&5
- echo $ECHO_N "checking for Xi Graphics XiGMiscExtension support... $ECHO_C" >&6
- video_x11_xme=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Xlib.h>
- #include <X11/extensions/xme.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- XiGMiscResolutionInfo *resolutions;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_x11_xme=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_x11_xme" >&5
- echo "${ECHO_T}$video_x11_xme" >&6
- if test x$video_x11_xme = xyes; then
- CFLAGS="$CFLAGS -DHAVE_XIGXME"
- SYSTEM_LIBS="$SYSTEM_LIBS -lxme"
- fi
- fi
- fi
- fi
- }
- CheckDGA()
- {
- # Check whether --enable-video-dga or --disable-video-dga was given.
- if test "${enable_video_dga+set}" = set; then
- enableval="$enable_video_dga"
- else
- enable_video_dga=yes
- fi;
- if test x$video_x11_dga = xyes -a x$enable_video_dga = xyes; then
- save_CFLAGS="$CFLAGS"; CFLAGS="$CFLAGS -Isrc/video"
- echo "$as_me:$LINENO: checking for XFree86 DGA 2.0 support" >&5
- echo $ECHO_N "checking for XFree86 DGA 2.0 support... $ECHO_C" >&6
- video_x11_dga2=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <X11/Xlib.h>
- #include <XFree86/extensions/xf86dga.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- SDL_NAME(XDGAEvent) xevent;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_x11_dga2=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_x11_dga2" >&5
- echo "${ECHO_T}$video_x11_dga2" >&6
- if test x$video_x11_dga2 = xyes; then
- CFLAGS="$CFLAGS -DENABLE_DGA"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS dga"
- VIDEO_DRIVERS="$VIDEO_DRIVERS dga/libvideo_dga.la"
- fi
- fi
- }
- CheckPHOTON()
- {
- # Check whether --enable-video-photon or --disable-video-photon was given.
- if test "${enable_video_photon+set}" = set; then
- enableval="$enable_video_photon"
- else
- enable_video_photon=yes
- fi;
- if test x$enable_video = xyes -a x$enable_video_photon = xyes; then
- echo "$as_me:$LINENO: checking for QNX Photon support" >&5
- echo $ECHO_N "checking for QNX Photon support... $ECHO_C" >&6
- video_photon=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <Ph.h>
- #include <Pt.h>
- #include <photon/Pg.h>
- #include <photon/PdDirect.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- PgDisplaySettings_t *visual;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_photon=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_photon" >&5
- echo "${ECHO_T}$video_photon" >&6
- if test x$video_photon = xyes; then
- CFLAGS="$CFLAGS -DENABLE_PHOTON"
- SYSTEM_LIBS="$SYSTEM_LIBS -lph"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS photon"
- VIDEO_DRIVERS="$VIDEO_DRIVERS photon/libvideo_photon.la"
- CheckOpenGLQNX
- fi
- fi
- }
- CheckFBCON()
- {
- # Check whether --enable-video-fbcon or --disable-video-fbcon was given.
- if test "${enable_video_fbcon+set}" = set; then
- enableval="$enable_video_fbcon"
- else
- enable_video_fbcon=yes
- fi;
- if test x$enable_video = xyes -a x$enable_video_fbcon = xyes; then
- echo "$as_me:$LINENO: checking for framebuffer console support" >&5
- echo $ECHO_N "checking for framebuffer console support... $ECHO_C" >&6
- video_fbcon=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <linux/fb.h>
- #include <linux/kd.h>
- #include <linux/keyboard.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_fbcon=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_fbcon" >&5
- echo "${ECHO_T}$video_fbcon" >&6
- if test x$video_fbcon = xyes; then
- CFLAGS="$CFLAGS -DENABLE_FBCON"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS fbcon"
- VIDEO_DRIVERS="$VIDEO_DRIVERS fbcon/libvideo_fbcon.la"
- fi
- fi
- }
- CheckDirectFB()
- {
- # Check whether --enable-video-directfb or --disable-video-directfb was given.
- if test "${enable_video_directfb+set}" = set; then
- enableval="$enable_video_directfb"
- else
- enable_video_directfb=yes
- fi;
- if test x$enable_video = xyes -a x$enable_video_directfb = xyes; then
- video_directfb=no
- # Extract the first word of "pkg-config", so it can be a program name with args.
- set dummy pkg-config; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $PKG_CONFIG in
- [\/]* | ?:[\/]*)
- ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
- ;;
- esac
- fi
- PKG_CONFIG=$ac_cv_path_PKG_CONFIG
- if test -n "$PKG_CONFIG"; then
- echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
- echo "${ECHO_T}$PKG_CONFIG" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- if test x$PKG_CONFIG = xno ; then
- { echo "$as_me:$LINENO: WARNING: *** pkg-config is required to build the DirectFB video driver." >&5
- echo "$as_me: WARNING: *** pkg-config is required to build the DirectFB video driver." >&2;}
- else
- echo "$as_me:$LINENO: checking for DirectFB support" >&5
- echo $ECHO_N "checking for DirectFB support... $ECHO_C" >&6
- if ! $PKG_CONFIG --atleast-pkgconfig-version 0.5 ; then
- { { echo "$as_me:$LINENO: error: *** pkg-config too old; version 0.5 or better required." >&5
- echo "$as_me: error: *** pkg-config too old; version 0.5 or better required." >&2;}
- { (exit 1); exit 1; }; }
- fi
- DIRECTFB_REQUIRED_VERSION=0.9.9
- if $PKG_CONFIG --atleast-version $DIRECTFB_REQUIRED_VERSION directfb ; then
- DIRECTFB_CFLAGS=`$PKG_CONFIG --cflags directfb`
- DIRECTFB_LIBS=`$PKG_CONFIG --libs directfb`
- video_directfb=yes
- fi
- fi
- echo "$as_me:$LINENO: result: $video_directfb" >&5
- echo "${ECHO_T}$video_directfb" >&6
- if test x$video_directfb = xyes; then
- CFLAGS="$CFLAGS -DENABLE_DIRECTFB"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS directfb"
- VIDEO_DRIVERS="$VIDEO_DRIVERS directfb/libvideo_directfb.la"
- fi
- fi
- }
- CheckPS2GS()
- {
- # Check whether --enable-video-ps2gs or --disable-video-ps2gs was given.
- if test "${enable_video_ps2gs+set}" = set; then
- enableval="$enable_video_ps2gs"
- else
- enable_video_ps2gs=yes
- fi;
- if test x$enable_video = xyes -a x$enable_video_ps2gs = xyes; then
- echo "$as_me:$LINENO: checking for PlayStation 2 GS support" >&5
- echo $ECHO_N "checking for PlayStation 2 GS support... $ECHO_C" >&6
- video_ps2gs=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <linux/ps2/dev.h>
- #include <linux/ps2/gs.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_ps2gs=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_ps2gs" >&5
- echo "${ECHO_T}$video_ps2gs" >&6
- if test x$video_ps2gs = xyes; then
- CFLAGS="$CFLAGS -DENABLE_PS2GS"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS ps2gs"
- VIDEO_DRIVERS="$VIDEO_DRIVERS ps2gs/libvideo_ps2gs.la"
- fi
- fi
- }
- CheckGGI()
- {
- # Check whether --enable-video-ggi or --disable-video-ggi was given.
- if test "${enable_video_ggi+set}" = set; then
- enableval="$enable_video_ggi"
- else
- enable_video_ggi=no
- fi;
- if test x$enable_video = xyes -a x$enable_video_ggi = xyes; then
- echo "$as_me:$LINENO: checking for GGI support" >&5
- echo $ECHO_N "checking for GGI support... $ECHO_C" >&6
- video_ggi=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <ggi/ggi.h>
- #include <ggi/gii.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_ggi=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_ggi" >&5
- echo "${ECHO_T}$video_ggi" >&6
- if test x$video_ggi = xyes; then
- CFLAGS="$CFLAGS $X_CFLAGS -DENABLE_GGI"
- SYSTEM_LIBS="$SYSTEM_LIBS -lggi -lgii -lgg"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS ggi"
- VIDEO_DRIVERS="$VIDEO_DRIVERS ggi/libvideo_ggi.la"
- fi
- fi
- }
- CheckSVGA()
- {
- # Check whether --enable-video-svga or --disable-video-svga was given.
- if test "${enable_video_svga+set}" = set; then
- enableval="$enable_video_svga"
- else
- enable_video_svga=no
- fi;
- if test x$enable_video = xyes -a x$enable_video_svga = xyes; then
- echo "$as_me:$LINENO: checking for SVGAlib (1.4.0+) support" >&5
- echo $ECHO_N "checking for SVGAlib (1.4.0+) support... $ECHO_C" >&6
- video_svga=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <vga.h>
- #include <vgamouse.h>
- #include <vgakeyboard.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- if ( SCANCODE_RIGHTWIN && SCANCODE_LEFTWIN ) {
- exit(0);
- }
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_svga=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_svga" >&5
- echo "${ECHO_T}$video_svga" >&6
- if test x$video_svga = xyes; then
- CFLAGS="$CFLAGS -DENABLE_SVGALIB"
- SYSTEM_LIBS="$SYSTEM_LIBS -lvga"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS svga"
- VIDEO_DRIVERS="$VIDEO_DRIVERS svga/libvideo_svga.la"
- fi
- fi
- }
- CheckVGL()
- {
- # Check whether --enable-video-vgl or --disable-video-vgl was given.
- if test "${enable_video_vgl+set}" = set; then
- enableval="$enable_video_vgl"
- else
- enable_video_vgl=no
- fi;
- if test x$enable_video = xyes -a x$enable_video_vgl = xyes; then
- echo "$as_me:$LINENO: checking for libVGL support" >&5
- echo $ECHO_N "checking for libVGL support... $ECHO_C" >&6
- video_vgl=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <sys/fbio.h>
- #include <sys/consio.h>
- #include <sys/kbio.h>
- #include <vgl.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- VGLBitmap bitmap;
- exit(bitmap.Bitmap);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_vgl=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_vgl" >&5
- echo "${ECHO_T}$video_vgl" >&6
- if test x$video_vgl = xyes; then
- CFLAGS="$CFLAGS -DENABLE_VGL"
- SYSTEM_LIBS="$SYSTEM_LIBS -lvgl"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS vgl"
- VIDEO_DRIVERS="$VIDEO_DRIVERS vgl/libvideo_vgl.la"
- fi
- fi
- }
- CheckAAlib()
- {
- # Check whether --enable-video-aalib or --disable-video-aalib was given.
- if test "${enable_video_aalib+set}" = set; then
- enableval="$enable_video_aalib"
- else
- enable_video_aalib=no
- fi;
- if test x$enable_video = xyes -a x$enable_video_aalib = xyes; then
- echo "$as_me:$LINENO: checking for AAlib support" >&5
- echo $ECHO_N "checking for AAlib support... $ECHO_C" >&6
- video_aalib=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <aalib.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_aalib=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_aalib" >&5
- echo "${ECHO_T}$video_aalib" >&6
- if test x$video_aalib = xyes; then
- CFLAGS="$CFLAGS -DENABLE_AALIB"
- SYSTEM_LIBS="$SYSTEM_LIBS -laa"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS aalib"
- VIDEO_DRIVERS="$VIDEO_DRIVERS aalib/libvideo_aa.la"
- fi
- fi
- }
- CheckAtariXbiosVideo()
- {
- # Check whether --enable-xbios or --disable-xbios was given.
- if test "${enable_xbios+set}" = set; then
- enableval="$enable_xbios"
- else
- enable_video_xbios=yes
- fi;
- video_xbios=no
- if test x$enable_video = xyes -a x$enable_video_xbios = xyes; then
- video_xbios=yes
- CFLAGS="$CFLAGS -DENABLE_XBIOS"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS xbios"
- VIDEO_DRIVERS="$VIDEO_DRIVERS xbios/libvideo_xbios.la"
- fi
- }
- CheckAtariGemVideo()
- {
- # Check whether --enable-gem or --disable-gem was given.
- if test "${enable_gem+set}" = set; then
- enableval="$enable_gem"
- else
- enable_video_gem=yes
- fi;
- if test x$enable_video = xyes -a x$enable_video_gem = xyes; then
- video_gem=no
- if test "${ac_cv_header_gem_h+set}" = set; then
- echo "$as_me:$LINENO: checking for gem.h" >&5
- echo $ECHO_N "checking for gem.h... $ECHO_C" >&6
- if test "${ac_cv_header_gem_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_gem_h" >&5
- echo "${ECHO_T}$ac_cv_header_gem_h" >&6
- else
- # Is the header compilable?
- echo "$as_me:$LINENO: checking gem.h usability" >&5
- echo $ECHO_N "checking gem.h usability... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- $ac_includes_default
- #include <gem.h>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_compiler=no
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
- echo "${ECHO_T}$ac_header_compiler" >&6
- # Is the header present?
- echo "$as_me:$LINENO: checking gem.h presence" >&5
- echo $ECHO_N "checking gem.h presence... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <gem.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- egrep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_header_preproc=no
- fi
- rm -f conftest.err conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
- echo "${ECHO_T}$ac_header_preproc" >&6
- # So? What about this header?
- case $ac_header_compiler:$ac_header_preproc in
- yes:no )
- { echo "$as_me:$LINENO: WARNING: gem.h: accepted by the compiler, rejected by the preprocessor!" >&5
- echo "$as_me: WARNING: gem.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: gem.h: proceeding with the preprocessor's result" >&5
- echo "$as_me: WARNING: gem.h: proceeding with the preprocessor's result" >&2;};;
- no:yes )
- { echo "$as_me:$LINENO: WARNING: gem.h: present but cannot be compiled" >&5
- echo "$as_me: WARNING: gem.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: gem.h: check for missing prerequisite headers?" >&5
- echo "$as_me: WARNING: gem.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: gem.h: proceeding with the preprocessor's result" >&5
- echo "$as_me: WARNING: gem.h: proceeding with the preprocessor's result" >&2;};;
- esac
- echo "$as_me:$LINENO: checking for gem.h" >&5
- echo $ECHO_N "checking for gem.h... $ECHO_C" >&6
- if test "${ac_cv_header_gem_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_cv_header_gem_h=$ac_header_preproc
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_gem_h" >&5
- echo "${ECHO_T}$ac_cv_header_gem_h" >&6
- fi
- if test $ac_cv_header_gem_h = yes; then
- have_gem_hdr=yes
- fi
- echo "$as_me:$LINENO: checking for appl_init in -lgem" >&5
- echo $ECHO_N "checking for appl_init in -lgem... $ECHO_C" >&6
- if test "${ac_cv_lib_gem_appl_init+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lgem $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char appl_init ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- appl_init ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_gem_appl_init=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_gem_appl_init=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_gem_appl_init" >&5
- echo "${ECHO_T}$ac_cv_lib_gem_appl_init" >&6
- if test $ac_cv_lib_gem_appl_init = yes; then
- have_gem_lib=yes
- fi
- if test x$have_gem_hdr = xyes -a x$have_gem_lib = xyes; then
- video_gem=yes
- CFLAGS="$CFLAGS -DENABLE_GEM"
- SYSTEM_LIBS="$SYSTEM_LIBS -lgem"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS gem"
- VIDEO_DRIVERS="$VIDEO_DRIVERS gem/libvideo_gem.la"
- fi
- fi
- }
- CheckAtariBiosEvent()
- {
- CFLAGS="$CFLAGS -I$(top_srcdir)/src/video/ataricommon"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS ataricommon"
- VIDEO_DRIVERS="$VIDEO_DRIVERS ataricommon/libvideo_ataricommon.la"
- }
- CheckDummyVideo()
- {
- # Check whether --enable-video-dummy or --disable-video-dummy was given.
- if test "${enable_video_dummy+set}" = set; then
- enableval="$enable_video_dummy"
- else
- enable_video_dummy=yes
- fi;
- if test x$enable_video_dummy = xyes; then
- CFLAGS="$CFLAGS -DENABLE_DUMMYVIDEO"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS dummy"
- VIDEO_DRIVERS="$VIDEO_DRIVERS dummy/libvideo_null.la"
- fi
- }
- # Check whether --enable-video-opengl or --disable-video-opengl was given.
- if test "${enable_video_opengl+set}" = set; then
- enableval="$enable_video_opengl"
- else
- enable_video_opengl=yes
- fi;
- CheckOpenGL()
- {
- if test x$enable_video = xyes -a x$enable_video_opengl = xyes; then
- echo "$as_me:$LINENO: checking for OpenGL (GLX) support" >&5
- echo $ECHO_N "checking for OpenGL (GLX) support... $ECHO_C" >&6
- video_opengl=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <GL/gl.h>
- #include <GL/glx.h>
- #include <dlfcn.h> /* For loading extensions */
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_opengl=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_opengl" >&5
- echo "${ECHO_T}$video_opengl" >&6
- if test x$video_opengl = xyes; then
- CFLAGS="$CFLAGS -DHAVE_OPENGL"
- if test x$use_dlopen != xyes; then
- echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
- echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
- if test "${ac_cv_lib_dl_dlopen+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-ldl $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char dlopen ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- dlopen ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_dl_dlopen=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_dl_dlopen=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
- echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
- if test $ac_cv_lib_dl_dlopen = yes; then
- SYSTEM_LIBS="$SYSTEM_LIBS -ldl"
- fi
- fi
- fi
- fi
- }
- CheckOpenGLQNX()
- {
- if test x$enable_video = xyes -a x$enable_video_opengl = xyes; then
- echo "$as_me:$LINENO: checking for OpenGL (Photon) support" >&5
- echo $ECHO_N "checking for OpenGL (Photon) support... $ECHO_C" >&6
- video_opengl=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <GL/gl.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- video_opengl=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $video_opengl" >&5
- echo "${ECHO_T}$video_opengl" >&6
- if test x$video_opengl = xyes; then
- CFLAGS="$CFLAGS -DHAVE_OPENGL"
- SYSTEM_LIBS="$SYSTEM_LIBS -lGL"
- fi
- fi
- }
- CheckBeGL()
- {
- if test x$enable_video = xyes -a x$enable_video_opengl = xyes; then
- CFLAGS="$CFLAGS -DHAVE_OPENGL"
- SYSTEM_LIBS="$SYSTEM_LIBS -lGL"
- fi
- }
- CheckMacGL()
- {
- if test x$enable_video = xyes -a x$enable_video_opengl = xyes; then
- CFLAGS="$CFLAGS -DHAVE_OPENGL"
- case "$target" in
- *-*-darwin*)
- SDL_LIBS="$SDL_LIBS -framework OpenGL -framework AGL"
- esac
- fi
- }
- CheckInputEvents()
- {
- # Check whether --enable-input-events or --disable-input-events was given.
- if test "${enable_input_events+set}" = set; then
- enableval="$enable_input_events"
- else
- enable_input_events=yes
- fi;
- if test x$enable_input_events = xyes; then
- echo "$as_me:$LINENO: checking for Linux 2.4 unified input interface" >&5
- echo $ECHO_N "checking for Linux 2.4 unified input interface... $ECHO_C" >&6
- use_input_events=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <linux/input.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- #ifndef EVIOCGNAME
- #error EVIOCGNAME() ioctl not available
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- use_input_events=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $use_input_events" >&5
- echo "${ECHO_T}$use_input_events" >&6
- if test x$use_input_events = xyes; then
- CFLAGS="$CFLAGS -DUSE_INPUT_EVENTS"
- fi
- fi
- }
- CheckPTHREAD()
- {
- # Check whether --enable-pthreads or --disable-pthreads was given.
- if test "${enable_pthreads+set}" = set; then
- enableval="$enable_pthreads"
- else
- enable_pthreads=yes
- fi;
- # Check whether --enable-pthread-sem or --disable-pthread-sem was given.
- if test "${enable_pthread_sem+set}" = set; then
- enableval="$enable_pthread_sem"
- else
- enable_pthread_sem=yes
- fi;
- ac_save_libs="$LIBS"
- case "$target" in
- *-*-bsdi*)
- pthread_cflags="-D_REENTRANT -D_THREAD_SAFE"
- pthread_lib=""
- ;;
- *-*-darwin*)
- pthread_cflags="-D_THREAD_SAFE"
- # causes Carbon.p complaints?
- # pthread_cflags="-D_REENTRANT -D_THREAD_SAFE"
- ;;
- *-*-freebsd*)
- pthread_cflags="-D_REENTRANT -D_THREAD_SAFE"
- pthread_lib="-pthread"
- ;;
- *-*-netbsd*)
- pthread_cflags="-I/usr/pkg/include -D_REENTRANT"
- pthread_lib="-L/usr/pkg/lib -lpthread -lsem"
- ;;
- *-*-openbsd*)
- pthread_cflags="-D_REENTRANT"
- pthread_lib="-pthread"
- ;;
- *-*-solaris*)
- pthread_cflags="-D_REENTRANT"
- pthread_lib="-lpthread -lposix4"
- ;;
- *-*-sysv5*)
- pthread_cflags="-D_REENTRANT -Kthread"
- pthread_lib=""
- ;;
- *-*-irix*)
- pthread_cflags="-D_SGI_MP_SOURCE"
- pthread_lib="-lpthread"
- ;;
- *-*-aix*)
- pthread_cflags="-D_REENTRANT -mthreads"
- pthread_lib="-lpthread"
- ;;
- *-*-qnx*)
- pthread_cflags=""
- pthread_lib=""
- ;;
- *)
- pthread_cflags="-D_REENTRANT"
- pthread_lib="-lpthread"
- ;;
- esac
- LIBS="$LIBS $pthread_lib"
- if test x$enable_threads = xyes -a x$enable_pthreads = xyes; then
- echo "$as_me:$LINENO: checking for pthreads" >&5
- echo $ECHO_N "checking for pthreads... $ECHO_C" >&6
- use_pthreads=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <pthread.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- pthread_attr_t type;
- pthread_attr_init(&type);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- use_pthreads=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $use_pthreads" >&5
- echo "${ECHO_T}$use_pthreads" >&6
- if test x$use_pthreads = xyes; then
- CFLAGS="$CFLAGS $pthread_cflags -DSDL_USE_PTHREADS"
- SDL_CFLAGS="$SDL_CFLAGS $pthread_cflags"
- SDL_LIBS="$SDL_LIBS $pthread_lib"
- # Check to see if recursive mutexes are available
- echo "$as_me:$LINENO: checking for recursive mutexes" >&5
- echo $ECHO_N "checking for recursive mutexes... $ECHO_C" >&6
- has_recursive_mutexes=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <pthread.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- pthread_mutexattr_t attr;
- #ifdef linux
- pthread_mutexattr_setkind_np(&attr, PTHREAD_MUTEX_RECURSIVE_NP);
- #else
- pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_RECURSIVE);
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- has_recursive_mutexes=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- # Some systems have broken recursive mutex implementations
- case "$target" in
- *-*-solaris*)
- has_recursive_mutexes=no
- ;;
- esac
- echo "$as_me:$LINENO: result: $has_recursive_mutexes" >&5
- echo "${ECHO_T}$has_recursive_mutexes" >&6
- if test x$has_recursive_mutexes != xyes; then
- CFLAGS="$CFLAGS -DPTHREAD_NO_RECURSIVE_MUTEX"
- fi
- # Check to see if pthread semaphore support is missing
- if test x$enable_pthread_sem = xyes; then
- echo "$as_me:$LINENO: checking for pthread semaphores" >&5
- echo $ECHO_N "checking for pthread semaphores... $ECHO_C" >&6
- have_pthread_sem=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <pthread.h>
- #include <semaphore.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- have_pthread_sem=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $have_pthread_sem" >&5
- echo "${ECHO_T}$have_pthread_sem" >&6
- fi
- # Check to see if this is broken glibc 2.0 pthreads
- case "$target" in
- *-*-linux*)
- echo "$as_me:$LINENO: checking for broken glibc 2.0 pthreads" >&5
- echo $ECHO_N "checking for broken glibc 2.0 pthreads... $ECHO_C" >&6
- glibc20_pthreads=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <features.h>
- #if (__GLIBC__ == 2) && (__GLIBC_MINOR__ == 0)
- #warning Working around a bug in glibc 2.0 pthreads
- #else
- #error pthread implementation okay
- #endif /* glibc 2.0 */
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- glibc20_pthreads=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $glibc20_pthreads" >&5
- echo "${ECHO_T}$glibc20_pthreads" >&6
- esac
- fi
- fi
- LIBS="$ac_save_libs"
- echo "$as_me:$LINENO: checking whether semun is defined in /usr/include/sys/sem.h" >&5
- echo $ECHO_N "checking whether semun is defined in /usr/include/sys/sem.h... $ECHO_C" >&6
- have_semun=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <sys/types.h>
- #include <sys/sem.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- union semun t;
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- have_semun=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $have_semun" >&5
- echo "${ECHO_T}$have_semun" >&6
- if test x$have_semun = xyes; then
- CFLAGS="$CFLAGS -DHAVE_SEMUN"
- fi
- # See if we can use clone() on Linux directly
- use_clone=no
- if test x$enable_threads = xyes -a x$use_pthreads != xyes; then
- case "$target" in
- *-*-linux*)
- use_clone=yes
- ;;
- *)
- CFLAGS="$CFLAGS -DFORK_HACK"
- ;;
- esac
- fi
- if test x$use_clone = xyes; then
- USE_CLONE_TRUE=
- USE_CLONE_FALSE='#'
- else
- USE_CLONE_TRUE='#'
- USE_CLONE_FALSE=
- fi
- }
- CheckPTH()
- {
- # Check whether --enable-pth or --disable-pth was given.
- if test "${enable_pth+set}" = set; then
- enableval="$enable_pth"
- else
- enable_pth=yes
- fi;
- if test x$enable_threads = xyes -a x$enable_pth = xyes; then
- # Extract the first word of "pth-config", so it can be a program name with args.
- set dummy pth-config; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_PTH_CONFIG+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $PTH_CONFIG in
- [\/]* | ?:[\/]*)
- ac_cv_path_PTH_CONFIG="$PTH_CONFIG" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_PTH_CONFIG="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- test -z "$ac_cv_path_PTH_CONFIG" && ac_cv_path_PTH_CONFIG="no"
- ;;
- esac
- fi
- PTH_CONFIG=$ac_cv_path_PTH_CONFIG
- if test -n "$PTH_CONFIG"; then
- echo "$as_me:$LINENO: result: $PTH_CONFIG" >&5
- echo "${ECHO_T}$PTH_CONFIG" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- if test "$PTH_CONFIG" = "no"; then
- use_pth=no
- else
- PTH_CFLAGS=`$PTH_CONFIG --cflags`
- PTH_LIBS=`$PTH_CONFIG --libs --all`
- SDL_CFLAGS="$SDL_CFLAGS $PTH_CFLAGS"
- SDL_LIBS="$SDL_LIBS $PTH_LIBS"
- CFLAGS="$CFLAGS -DENABLE_PTH"
- use_pth=yes
- fi
- echo "$as_me:$LINENO: checking pth" >&5
- echo $ECHO_N "checking pth... $ECHO_C" >&6
- if test "x$use_pth" = xyes; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- fi
- }
- CheckWIN32()
- {
- echo "$as_me:$LINENO: checking Win32 compiler" >&5
- echo $ECHO_N "checking Win32 compiler... $ECHO_C" >&6
- have_win32_gcc=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <windows.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- have_win32_gcc=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $have_win32_gcc" >&5
- echo "${ECHO_T}$have_win32_gcc" >&6
- if test x$have_win32_gcc != xyes; then
- { { echo "$as_me:$LINENO: error:
- *** Your compiler ($CC) does not produce Win32 executables!
- " >&5
- echo "$as_me: error:
- *** Your compiler ($CC) does not produce Win32 executables!
- " >&2;}
- { (exit 1); exit 1; }; }
- fi
- # Check whether --enable-stdio-redirect or --disable-stdio-redirect was given.
- if test "${enable_stdio_redirect+set}" = set; then
- enableval="$enable_stdio_redirect"
- else
- enable_stdio_redirect=yes
- fi;
- if test x$enable_stdio_redirect != xyes; then
- CFLAGS="$CFLAGS -DNO_STDIO_REDIRECT"
- fi
- }
- CheckDIRECTX()
- {
- # Check whether --enable-directx or --disable-directx was given.
- if test "${enable_directx+set}" = set; then
- enableval="$enable_directx"
- else
- enable_directx=yes
- fi;
- if test x$enable_directx = xyes; then
- echo "$as_me:$LINENO: checking for DirectX headers and libraries" >&5
- echo $ECHO_N "checking for DirectX headers and libraries... $ECHO_C" >&6
- use_directx=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include "src/video/windx5/directx.h"
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- use_directx=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $use_directx" >&5
- echo "${ECHO_T}$use_directx" >&6
- fi
- if test x$use_directx = xyes; then
- USE_DIRECTX_TRUE=
- USE_DIRECTX_FALSE='#'
- else
- USE_DIRECTX_TRUE='#'
- USE_DIRECTX_FALSE=
- fi
- CFLAGS="$CFLAGS -I$(top_srcdir)/src/video/wincommon"
- SYSTEM_LIBS="$SYSTEM_LIBS -luser32 -lgdi32 -lwinmm"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS wincommon"
- VIDEO_DRIVERS="$VIDEO_DRIVERS wincommon/libvideo_wincommon.la"
- # Enable the DIB driver
- CFLAGS="$CFLAGS -DENABLE_WINDIB"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS windib"
- VIDEO_DRIVERS="$VIDEO_DRIVERS windib/libvideo_windib.la"
- # See if we should enable the DirectX driver
- if test x$use_directx = xyes; then
- CFLAGS="$CFLAGS -DENABLE_DIRECTX"
- SYSTEM_LIBS="$SYSTEM_LIBS -ldxguid"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS windx5"
- VIDEO_DRIVERS="$VIDEO_DRIVERS windx5/libvideo_windx5.la"
- fi
- }
- CheckBWINDOW()
- {
- CFLAGS="$CFLAGS -DENABLE_BWINDOW"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS bwindow"
- VIDEO_DRIVERS="$VIDEO_DRIVERS bwindow/libvideo_bwindow.la"
- }
- CheckTOOLBOX()
- {
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS maccommon"
- VIDEO_DRIVERS="$VIDEO_DRIVERS maccommon/libvideo_maccommon.la"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS macrom"
- VIDEO_DRIVERS="$VIDEO_DRIVERS macrom/libvideo_macrom.la"
- }
- CheckCARBON()
- {
- # "MACOSX" is not an official definition, but it's commonly
- # accepted as a way to differentiate between what runs on X
- # and what runs on older Macs - while in theory "Carbon" defns
- # are consistent between the two, in practice Carbon is still
- # changing. -sts Aug 2000
- mac_autoconf_target_workaround="MAC"
- CFLAGS="$CFLAGS -I/System/Library/Frameworks/Carbon.framework/Headers
- -fpascal-strings -DENABLE_TOOLBOX -DMACOSX -DTARGET_API_${mac_autoconf_target_workaround}_CARBON=1 -I$(top_srcdir)/src/video/maccommon -I$(top_srcdir)/src/video/macrom -I$(top_srcdir)/src/video/macdsp"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS maccommon"
- VIDEO_DRIVERS="$VIDEO_DRIVERS maccommon/libvideo_maccommon.la"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS macrom"
- VIDEO_DRIVERS="$VIDEO_DRIVERS macrom/libvideo_macrom.la"
- }
- CheckQUARTZ()
- {
- # "MACOSX" is not an official definition, but it's commonly
- # accepted as a way to differentiate between what runs on X
- # and what runs on older Macs - while in theory "Carbon" defns
- # are consistent between the two, in practice Carbon is still
- # changing. -sts Aug 2000
- mac_autoconf_target_workaround="MAC"
- CFLAGS="$CFLAGS -I/System/Library/Frameworks/Carbon.framework/Headers
- -I/System/Library/Frameworks/Cocoa.framework/Headers -fpascal-strings
- -DENABLE_QUARTZ -DMACOSX -DTARGET_API_${mac_autoconf_target_workaround}_CARBON=1 -I$(top_srcdir)/src/video/quartz"
- VIDEO_SUBDIRS="$VIDEO_SUBDIRS quartz"
- VIDEO_DRIVERS="$VIDEO_DRIVERS quartz/libvideo_quartz.la"
- }
- CheckDLOPEN()
- {
- # Check whether --enable-dlopen or --disable-dlopen was given.
- if test "${enable_dlopen+set}" = set; then
- enableval="$enable_dlopen"
- else
- enable_dlopen=no
- fi;
- if test x$enable_dlopen = xyes; then
- echo "$as_me:$LINENO: checking for dlopen" >&5
- echo $ECHO_N "checking for dlopen... $ECHO_C" >&6
- use_dlopen=no
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- #include <dlfcn.h>
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- use_dlopen=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- fi
- rm -f conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $use_dlopen" >&5
- echo "${ECHO_T}$use_dlopen" >&6
- if test x$use_dlopen = xyes; then
- CFLAGS="$CFLAGS -DUSE_DLOPEN"
- echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
- echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
- if test "${ac_cv_lib_dl_dlopen+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-ldl $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- #line $LINENO "configure"
- #include "confdefs.h"
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char dlopen ();
- #ifdef F77_DUMMY_MAIN
- # ifdef __cplusplus
- extern "C"
- # endif
- int F77_DUMMY_MAIN() { return 1; }
- #endif
- int
- main ()
- {
- dlopen ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_dl_dlopen=yes
- else
- echo "$as_me: failed program was:" >&5
- cat conftest.$ac_ext >&5
- ac_cv_lib_dl_dlopen=no
- fi
- rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
- echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
- if test $ac_cv_lib_dl_dlopen = yes; then
- SYSTEM_LIBS="$SYSTEM_LIBS -ldl"
- fi
- fi
- fi
- }
- case "$target" in
- *-*-linux*)
- ARCH=linux
- CheckDummyVideo
- CheckDiskAudio
- CheckDLOPEN
- CheckNASM
- CheckOSS
- CheckALSA
- CheckARTSC
- CheckESD
- CheckNAS
- CheckX11
- CheckNANOX
- CheckDGA
- CheckFBCON
- CheckDirectFB
- CheckPS2GS
- CheckGGI
- CheckSVGA
- CheckAAlib
- CheckOpenGL
- CheckInputEvents
- CheckPTHREAD
- # Set up files for the main() stub
- echo "Copying src/main/linux/SDL_main.c -> src/main/SDL_main.c"
- old="$srcdir/src/main/linux/SDL_main.c"
- new="$srcdir/src/main/SDL_main.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- # Set up files for the audio library
- # We use the OSS and ALSA API's, not the Sun audio API
- #if test x$enable_audio = xyes; then
- # CFLAGS="$CFLAGS -DSUNAUDIO_SUPPORT"
- # AUDIO_SUBDIRS="$AUDIO_SUBDIRS sun"
- # AUDIO_DRIVERS="$AUDIO_DRIVERS sun/libaudio_sun.la"
- #fi
- # Set up files for the joystick library
- if test x$enable_joystick = xyes; then
- JOYSTICK_SUBDIRS="$JOYSTICK_SUBDIRS linux"
- JOYSTICK_DRIVERS="$JOYSTICK_DRIVERS linux/libjoystick_linux.la"
- fi
- # Set up files for the cdrom library
- if test x$enable_cdrom = xyes; then
- CDROM_SUBDIRS="$CDROM_SUBDIRS linux"
- CDROM_DRIVERS="$CDROM_DRIVERS linux/libcdrom_linux.la"
- fi
- # Set up files for the thread library
- if test x$enable_threads = xyes; then
- if test x$use_pthreads != xyes; then
- echo "Copying src/thread/linux/clone.S -> src/thread/clone.S"
- old="$srcdir/src/thread/linux/clone.S"
- new="$srcdir/src/thread/clone.S"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- echo "Copying src/thread/linux/SDL_systhread.c -> src/thread/SDL_systhread.c"
- old="$srcdir/src/thread/linux/SDL_systhread.c"
- new="$srcdir/src/thread/SDL_systhread.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_systhread_c.h -> src/thread/SDL_systhread_c.h"
- old="$srcdir/src/thread/linux/SDL_systhread_c.h"
- new="$srcdir/src/thread/SDL_systhread_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- if test x$use_pthreads = xyes -a x$have_pthread_sem != xyes; then
- echo "Copying src/thread/generic/SDL_syssem.c -> src/thread/SDL_syssem.c"
- old="$srcdir/src/thread/generic/SDL_syssem.c"
- new="$srcdir/src/thread/SDL_syssem.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- else
- echo "Copying src/thread/linux/SDL_syssem.c -> src/thread/SDL_syssem.c"
- old="$srcdir/src/thread/linux/SDL_syssem.c"
- new="$srcdir/src/thread/SDL_syssem.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- echo "Copying src/thread/generic/SDL_syssem_c.h -> src/thread/SDL_syssem_c.h"
- old="$srcdir/src/thread/generic/SDL_syssem_c.h"
- new="$srcdir/src/thread/SDL_syssem_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- if test x$glibc20_pthreads = xyes; then
- echo "Copying src/thread/generic/SDL_sysmutex.c -> src/thread/SDL_sysmutex.c"
- old="$srcdir/src/thread/generic/SDL_sysmutex.c"
- new="$srcdir/src/thread/SDL_sysmutex.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_sysmutex_c.h -> src/thread/SDL_sysmutex_c.h"
- old="$srcdir/src/thread/generic/SDL_sysmutex_c.h"
- new="$srcdir/src/thread/SDL_sysmutex_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syscond.c -> src/thread/SDL_syscond.c"
- old="$srcdir/src/thread/generic/SDL_syscond.c"
- new="$srcdir/src/thread/SDL_syscond.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syscond_c.h -> src/thread/SDL_syscond_c.h"
- old="$srcdir/src/thread/generic/SDL_syscond_c.h"
- new="$srcdir/src/thread/SDL_syscond_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- else
- echo "Copying src/thread/linux/SDL_sysmutex.c -> src/thread/SDL_sysmutex.c"
- old="$srcdir/src/thread/linux/SDL_sysmutex.c"
- new="$srcdir/src/thread/SDL_sysmutex.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_sysmutex_c.h -> src/thread/SDL_sysmutex_c.h"
- old="$srcdir/src/thread/linux/SDL_sysmutex_c.h"
- new="$srcdir/src/thread/SDL_sysmutex_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_syscond.c -> src/thread/SDL_syscond.c"
- old="$srcdir/src/thread/linux/SDL_syscond.c"
- new="$srcdir/src/thread/SDL_syscond.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syscond_c.h -> src/thread/SDL_syscond_c.h"
- old="$srcdir/src/thread/generic/SDL_syscond_c.h"
- new="$srcdir/src/thread/SDL_syscond_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- fi
- # Set up files for the timer library
- if test x$enable_timers = xyes; then
- echo "Copying src/timer/linux/SDL_systimer.c -> src/timer/SDL_systimer.c"
- old="$srcdir/src/timer/linux/SDL_systimer.c"
- new="$srcdir/src/timer/SDL_systimer.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- ;;
- *-*-bsdi*)
- ARCH=bsdi
- CheckDummyVideo
- CheckDiskAudio
- CheckDLOPEN
- CheckNASM
- CheckOSS
- CheckARTSC
- CheckESD
- CheckNAS
- CheckX11
- CheckDGA
- CheckSVGA
- CheckAAlib
- CheckOpenGL
- CheckPTHREAD
- # Set up files for the main() stub
- echo "Copying src/main/linux/SDL_main.c -> src/main/SDL_main.c"
- old="$srcdir/src/main/linux/SDL_main.c"
- new="$srcdir/src/main/SDL_main.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- # Set up files for the audio library
- # We use the OSS and ALSA API's, not the Sun audio API
- #if test x$enable_audio = xyes; then
- # CFLAGS="$CFLAGS -DSUNAUDIO_SUPPORT"
- # AUDIO_SUBDIRS="$AUDIO_SUBDIRS sun"
- # AUDIO_DRIVERS="$AUDIO_DRIVERS sun/libaudio_sun.la"
- #fi
- # Set up files for the joystick library
- # (No joystick support yet)
- if test x$enable_joystick = xyes; then
- JOYSTICK_SUBDIRS="$JOYSTICK_SUBDIRS dummy"
- JOYSTICK_DRIVERS="$JOYSTICK_DRIVERS dummy/libjoystick_dummy.la"
- fi
- # Set up files for the cdrom library
- if test x$enable_cdrom = xyes; then
- CDROM_SUBDIRS="$CDROM_SUBDIRS bsdi"
- CDROM_DRIVERS="$CDROM_DRIVERS bsdi/libcdrom_bsdi.la"
- fi
- # Set up files for the thread library
- if test x$enable_threads = xyes; then
- echo "Copying src/thread/linux/SDL_systhread.c -> src/thread/SDL_systhread.c"
- old="$srcdir/src/thread/linux/SDL_systhread.c"
- new="$srcdir/src/thread/SDL_systhread.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_systhread_c.h -> src/thread/SDL_systhread_c.h"
- old="$srcdir/src/thread/linux/SDL_systhread_c.h"
- new="$srcdir/src/thread/SDL_systhread_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_sysmutex.c -> src/thread/SDL_sysmutex.c"
- old="$srcdir/src/thread/linux/SDL_sysmutex.c"
- new="$srcdir/src/thread/SDL_sysmutex.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_sysmutex_c.h -> src/thread/SDL_sysmutex_c.h"
- old="$srcdir/src/thread/linux/SDL_sysmutex_c.h"
- new="$srcdir/src/thread/SDL_sysmutex_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/bsdi/SDL_syssem.c -> src/thread/SDL_syssem.c"
- old="$srcdir/src/thread/bsdi/SDL_syssem.c"
- new="$srcdir/src/thread/SDL_syssem.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syssem_c.h -> src/thread/SDL_syssem_c.h"
- old="$srcdir/src/thread/generic/SDL_syssem_c.h"
- new="$srcdir/src/thread/SDL_syssem_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_syscond.c -> src/thread/SDL_syscond.c"
- old="$srcdir/src/thread/linux/SDL_syscond.c"
- new="$srcdir/src/thread/SDL_syscond.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syscond_c.h -> src/thread/SDL_syscond_c.h"
- old="$srcdir/src/thread/generic/SDL_syscond_c.h"
- new="$srcdir/src/thread/SDL_syscond_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- # Set up files for the timer library
- if test x$enable_timers = xyes; then
- echo "Copying src/timer/linux/SDL_systimer.c -> src/timer/SDL_systimer.c"
- old="$srcdir/src/timer/linux/SDL_systimer.c"
- new="$srcdir/src/timer/SDL_systimer.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- ;;
- *-*-freebsd*)
- ARCH=freebsd
- CheckDummyVideo
- CheckDiskAudio
- CheckDLOPEN
- CheckVGL
- CheckNASM
- CheckOSS
- CheckARTSC
- CheckESD
- CheckNAS
- CheckX11
- CheckDGA
- CheckSVGA
- CheckAAlib
- CheckOpenGL
- CheckPTHREAD
- # Set up files for the main() stub
- echo "Copying src/main/linux/SDL_main.c -> src/main/SDL_main.c"
- old="$srcdir/src/main/linux/SDL_main.c"
- new="$srcdir/src/main/SDL_main.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- # Set up files for the audio library
- # We use the OSS and ALSA API's, not the Sun audio API
- #if test x$enable_audio = xyes; then
- # CFLAGS="$CFLAGS -DSUNAUDIO_SUPPORT"
- # AUDIO_SUBDIRS="$AUDIO_SUBDIRS sun"
- # AUDIO_DRIVERS="$AUDIO_DRIVERS sun/libaudio_sun.la"
- #fi
- # Set up files for the joystick library
- # (joystick support differs between OpenBSD and FreeBSD
- if test x$enable_joystick = xyes; then
- JOYSTICK_SUBDIRS="$JOYSTICK_SUBDIRS dummy"
- JOYSTICK_DRIVERS="$JOYSTICK_DRIVERS dummy/libjoystick_dummy.la"
- fi
- # Set up files for the cdrom library
- if test x$enable_cdrom = xyes; then
- CDROM_SUBDIRS="$CDROM_SUBDIRS freebsd"
- CDROM_DRIVERS="$CDROM_DRIVERS freebsd/libcdrom_freebsd.la"
- fi
- # Set up files for the thread library
- if test x$enable_threads = xyes; then
- echo "Copying src/thread/linux/SDL_systhread.c -> src/thread/SDL_systhread.c"
- old="$srcdir/src/thread/linux/SDL_systhread.c"
- new="$srcdir/src/thread/SDL_systhread.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_systhread_c.h -> src/thread/SDL_systhread_c.h"
- old="$srcdir/src/thread/linux/SDL_systhread_c.h"
- new="$srcdir/src/thread/SDL_systhread_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_sysmutex.c -> src/thread/SDL_sysmutex.c"
- old="$srcdir/src/thread/linux/SDL_sysmutex.c"
- new="$srcdir/src/thread/SDL_sysmutex.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_sysmutex_c.h -> src/thread/SDL_sysmutex_c.h"
- old="$srcdir/src/thread/linux/SDL_sysmutex_c.h"
- new="$srcdir/src/thread/SDL_sysmutex_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- if test x$use_pthreads = xyes -a x$have_pthread_sem != xyes; then
- echo "Copying src/thread/generic/SDL_syssem.c -> src/thread/SDL_syssem.c"
- old="$srcdir/src/thread/generic/SDL_syssem.c"
- new="$srcdir/src/thread/SDL_syssem.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- else
- echo "Copying src/thread/linux/SDL_syssem.c -> src/thread/SDL_syssem.c"
- old="$srcdir/src/thread/linux/SDL_syssem.c"
- new="$srcdir/src/thread/SDL_syssem.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- echo "Copying src/thread/generic/SDL_syssem_c.h -> src/thread/SDL_syssem_c.h"
- old="$srcdir/src/thread/generic/SDL_syssem_c.h"
- new="$srcdir/src/thread/SDL_syssem_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_syscond.c -> src/thread/SDL_syscond.c"
- old="$srcdir/src/thread/linux/SDL_syscond.c"
- new="$srcdir/src/thread/SDL_syscond.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syscond_c.h -> src/thread/SDL_syscond_c.h"
- old="$srcdir/src/thread/generic/SDL_syscond_c.h"
- new="$srcdir/src/thread/SDL_syscond_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- # Set up files for the timer library
- if test x$enable_timers = xyes; then
- echo "Copying src/timer/linux/SDL_systimer.c -> src/timer/SDL_systimer.c"
- old="$srcdir/src/timer/linux/SDL_systimer.c"
- new="$srcdir/src/timer/SDL_systimer.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- ;;
- *-*-netbsd*)
- ARCH=netbsd
- CheckDummyVideo
- CheckDiskAudio
- CheckDLOPEN
- CheckNASM
- CheckOSS
- CheckARTSC
- CheckESD
- CheckNAS
- CheckX11
- CheckAAlib
- CheckOpenGL
- CheckPTHREAD
- # Set up files for the main() stub
- echo "Copying src/main/linux/SDL_main.c -> src/main/SDL_main.c"
- old="$srcdir/src/main/linux/SDL_main.c"
- new="$srcdir/src/main/SDL_main.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- # Set up files for the audio library
- if test x$enable_audio = xyes; then
- CFLAGS="$CFLAGS -DSUNAUDIO_SUPPORT"
- AUDIO_SUBDIRS="$AUDIO_SUBDIRS sun"
- AUDIO_DRIVERS="$AUDIO_DRIVERS sun/libaudio_sun.la"
- fi
- # Set up files for the joystick library
- if test x$enable_joystick = xyes; then
- JOYSTICK_SUBDIRS="$JOYSTICK_SUBDIRS bsd"
- JOYSTICK_DRIVERS="$JOYSTICK_DRIVERS bsd/libjoystick_bsd.la"
- fi
- # Set up files for the cdrom library
- if test x$enable_cdrom = xyes; then
- CDROM_SUBDIRS="$CDROM_SUBDIRS openbsd"
- CDROM_DRIVERS="$CDROM_DRIVERS openbsd/libcdrom_openbsd.la"
- fi
- # Set up files for the thread library
- if test x$enable_threads = xyes; then
- echo "Copying src/thread/linux/SDL_systhread.c -> src/thread/SDL_systhread.c"
- old="$srcdir/src/thread/linux/SDL_systhread.c"
- new="$srcdir/src/thread/SDL_systhread.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_systhread_c.h -> src/thread/SDL_systhread_c.h"
- old="$srcdir/src/thread/linux/SDL_systhread_c.h"
- new="$srcdir/src/thread/SDL_systhread_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_sysmutex.c -> src/thread/SDL_sysmutex.c"
- old="$srcdir/src/thread/linux/SDL_sysmutex.c"
- new="$srcdir/src/thread/SDL_sysmutex.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_sysmutex_c.h -> src/thread/SDL_sysmutex_c.h"
- old="$srcdir/src/thread/linux/SDL_sysmutex_c.h"
- new="$srcdir/src/thread/SDL_sysmutex_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- if test x$use_pthreads = xyes -a x$have_pthread_sem != xyes; then
- echo "Copying src/thread/generic/SDL_syssem.c -> src/thread/SDL_syssem.c"
- old="$srcdir/src/thread/generic/SDL_syssem.c"
- new="$srcdir/src/thread/SDL_syssem.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- else
- echo "Copying src/thread/linux/SDL_syssem.c -> src/thread/SDL_syssem.c"
- old="$srcdir/src/thread/linux/SDL_syssem.c"
- new="$srcdir/src/thread/SDL_syssem.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- echo "Copying src/thread/generic/SDL_syssem_c.h -> src/thread/SDL_syssem_c.h"
- old="$srcdir/src/thread/generic/SDL_syssem_c.h"
- new="$srcdir/src/thread/SDL_syssem_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/linux/SDL_syscond.c -> src/thread/SDL_syscond.c"
- old="$srcdir/src/thread/linux/SDL_syscond.c"
- new="$srcdir/src/thread/SDL_syscond.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- echo "Copying src/thread/generic/SDL_syscond_c.h -> src/thread/SDL_syscond_c.h"
- old="$srcdir/src/thread/generic/SDL_syscond_c.h"
- new="$srcdir/src/thread/SDL_syscond_c.h"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- # Set up files for the timer library
- if test x$enable_timers = xyes; then
- echo "Copying src/timer/linux/SDL_systimer.c -> src/timer/SDL_systimer.c"
- old="$srcdir/src/timer/linux/SDL_systimer.c"
- new="$srcdir/src/timer/SDL_systimer.c"
- cat >$new <<__EOF__
- /* WARNING: This file was automatically generated!
- * Original: $old
- */
- __EOF__
- cat >>$new <$old
- fi
- # NetBSD does not define "unix"
- CFLAGS="$CFLAGS -Dunix -D_POSIX_THREAD_SYSCALL_SOFT=1"
- ;;
- *-*-openbsd*)
- ARCH=openbsd
- CheckDummyVideo
- CheckDiskAudio
- CheckDLOPEN
- CheckOPENBSDAUDIO
- CheckNASM
- CheckOSS
- CheckARTSC
- CheckESD
- CheckNAS
- CheckX11
- CheckAAlib